## ListJoinableOrganizations **post** `/gitpod.v1.AccountService/ListJoinableOrganizations` Lists organizations that the currently authenticated account can join. Use this method to: - Discover organizations associated with the account's email domain. - Allow users to join existing organizations. - Display potential organizations during onboarding. ### Examples - List joinable organizations: Retrieves a list of organizations the account can join. ```yaml {} ``` ### Query Parameters - `token: optional string` - `pageSize: optional number` ### Body Parameters - `pagination: optional object { token, pageSize }` pagination contains the pagination options for listing joinable organizations - `token: optional string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize: optional number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `pagination: object { nextToken }` - `nextToken: optional string` Token passed for retrieving the next set of results. Empty if there are no more results - `joinableOrganizations: optional array of JoinableOrganization` - `organizationId: string` organization_id is the id of the organization the user can join - `organizationName: string` organization_name is the name of the organization the user can join - `organizationMemberCount: optional number` organization_member_count is the member count of the organization the user can join ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.AccountService/ListJoinableOrganizations \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "pagination": { "nextToken": "nextToken" }, "joinableOrganizations": [ { "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "organizationName": "organizationName", "organizationMemberCount": 0 } ] } ```